Page MenuHomePhabricator

Remove EventLogging for cookie blocks
Closed, ResolvedPublic1 Story Points

Description

Now that we are fairly confident that cookie blocks aren't causing any problems, let's remove the EventLogging. This involves first removing code from WikimediaEventsHooks.php in the WikimediaEvents extension and then removing the blockTrigger code from core (as this is only for EventLogging AFAIK).

See T146230 and T162215 for background.

Event Timeline

kaldari created this task.May 24 2017, 6:24 PM
Restricted Application added a project: Analytics. · View Herald TranscriptMay 24 2017, 6:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Nuria moved this task from Incoming to Radar on the Analytics board.May 25 2017, 4:17 PM
DannyH triaged this task as Normal priority.May 31 2017, 5:16 PM
DannyH set the point value for this task to 1.
kaldari lowered the priority of this task from Normal to Low.Jun 20 2017, 11:16 PM
MaxSem claimed this task.Jul 14 2017, 10:39 PM
MaxSem added a project: Community-Tech-Sprint.

Change 365414 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/extensions/WikimediaEvents@master] Remove temporary cookie block logging

https://gerrit.wikimedia.org/r/365414

kaldari closed this task as Resolved.Jul 14 2017, 11:29 PM
kaldari moved this task from Ready to Q1 2018-19 on the Community-Tech-Sprint board.

Change 365414 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Remove temporary cookie block logging

https://gerrit.wikimedia.org/r/365414

Change 365419 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[mediawiki/core@master] Remove temporary hole in abstractions

https://gerrit.wikimedia.org/r/365419

Change 365419 merged by jenkins-bot:
[mediawiki/core@master] Remove temporary hole in abstractions

https://gerrit.wikimedia.org/r/365419